package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 供应商审核第一步 综合评估
 * </p>
 *
 * @author liutao
 * @since 2023-12-05
 */
@TableName("supplier_approval_first")
public class SupplierApprovalFirst extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * c端 供应商企业信息id
     */
    @TableField("c_supplier_info_id")
    private Long cSupplierInfoId;

    /**
     * c端 供应商企业信息id
     */
    @TableField("c_supplier_info_history_id")
    private Long cSupplierInfoHistoryId;

    /**
     * 主企业红线否决项
     */
    @TableField("main_enterprise_count")
    private Long mainEnterpriseCount;

    /**
     * 主企业测算结论
     */
    @TableField("main_enterprise_result")
    private String mainEnterpriseResult;

    /**
     * 担保企业红线否决项
     */
    @TableField("guarantee_enterprise_count")
    private Long guaranteeEnterpriseCount;

    /**
     * 担保企业测算结论
     */
    @TableField("guarantee_enterprise_result")
    private String guaranteeEnterpriseResult;

    public Long getcSupplierInfoHistoryId() {
        return cSupplierInfoHistoryId;
    }

    public void setcSupplierInfoHistoryId(Long cSupplierInfoHistoryId) {
        this.cSupplierInfoHistoryId = cSupplierInfoHistoryId;
    }

    public Long getcSupplierInfoId() {
        return cSupplierInfoId;
    }

    public void setcSupplierInfoId(Long cSupplierInfoId) {
        this.cSupplierInfoId = cSupplierInfoId;
    }
    public Long getMainEnterpriseCount() {
        return mainEnterpriseCount;
    }

    public void setMainEnterpriseCount(Long mainEnterpriseCount) {
        this.mainEnterpriseCount = mainEnterpriseCount;
    }
    public String getMainEnterpriseResult() {
        return mainEnterpriseResult;
    }

    public void setMainEnterpriseResult(String mainEnterpriseResult) {
        this.mainEnterpriseResult = mainEnterpriseResult;
    }
    public Long getGuaranteeEnterpriseCount() {
        return guaranteeEnterpriseCount;
    }

    public void setGuaranteeEnterpriseCount(Long guaranteeEnterpriseCount) {
        this.guaranteeEnterpriseCount = guaranteeEnterpriseCount;
    }
    public String getGuaranteeEnterpriseResult() {
        return guaranteeEnterpriseResult;
    }

    public void setGuaranteeEnterpriseResult(String guaranteeEnterpriseResult) {
        this.guaranteeEnterpriseResult = guaranteeEnterpriseResult;
    }

    @Override
    public String toString() {
        return "SupplierApprovalFirst{" +
            "cSupplierInfoId=" + cSupplierInfoId +
            ", mainEnterpriseCount=" + mainEnterpriseCount +
            ", mainEnterpriseResult=" + mainEnterpriseResult +
            ", guaranteeEnterpriseCount=" + guaranteeEnterpriseCount +
            ", guaranteeEnterpriseResult=" + guaranteeEnterpriseResult +
        "}";
    }
}
